QGIS Application - Feature request #15770
[composer] allow expressions for legend item text
2016-10-27 08:04 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23692
Description

In the layer panel, it's possible to show the count of features on any layer. And this count can be shown in the composer legend.
Sometimes, instead of the number of features, it might be interesting to show in the legend the total area covered by a class.

Now that aggregate functions are availbale, It could be nice to be able to show total length/area of features of a class, or statistics on a
particular field of the layer, or any other combination...

History

#1 - 2016-10-27 08:05 AM - Harrissou Santanna
- Subject changed from Being able to show aggregate values besides layer classification to Being able to show other aggregate values besides
classification in the layer panel or composer legend

#2 - 2016-10-27 12:00 PM - Nyall Dawson
- Subject changed from Being able to show other aggregate values besides classification in the layer panel or composer legend to [composer] allow

expressions for legend item text

#3 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2017-09-22 09:55 AM - Juirgen Fischer
- Category set to Unknown
